Package com.ocient.transport

# Class SimplexTransport.StreamCtx<T>

java.lang.Object
com.ocient.transport.SimplexTransport.StreamCtx<T>

Enclosing interface:
  SimplexTransport<TREQUEST,TRESPONSE>

public static class SimplexTransport.StreamCtx<T> extends Object
Contextual wrapper for items passed along the stream.

## Field Summary

Fields
Modifier and Type
Field
Description
`final SimplexTransport.Ctx`
`ctx`
`final T`
`item`

## Constructor Summary

Constructors
Constructor
Description
`StreamCtx(T item, SimplexTransport.Ctx ctx)`

## Method Summary

Modifier and Type
Method
Description
`<U> SimplexTransport.StreamCtx<U>`
`map(Function<T,U> f)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### item

public final T item

### ctx

public final SimplexTransport.Ctx ctx

## Constructor Details

### StreamCtx

public StreamCtx(T item, SimplexTransport.Ctx ctx)

## Method Details

### map

public <U> SimplexTransport.StreamCtx<U> map(Function<T,U> f)

### toString

public String toString()

Overrides:
  `toString` in class `Object`